#!/bin/sh
script_dir=$(dirname $0)
source "$script_dir/error_codes.sh"

TYPE="Transceiver test:"

# this module is autoloaded on startup
#insmod /lib/modules/3.16.0/kernel/extra/cmemk.ko phys_start=0x20000000 phys_end=0x40000000
transceiver_test 

echo
printf %-30s "$TYPE" | tee -a $RESULTS

if [ $? -eq 0 ]; then
	echo "PASSED" | tee -a $RESULTS
else
	echo "FAILED" | tee -a $RESULTS
	partial_fail "ERR110-1 Error performing transceiver test"
fi

